<?php
require_once __DIR__.'/lib/gapi.class.php';
require_once __DIR__.'/instance_init.php';

session_start();

header("Content-type: text/html; charset=utf-8");

// 自分自身
$pathSelf = BASE_HOST . $_SERVER["SCRIPT_NAME"];

// コールバック
$pathCallback = PATH_CALLBACK . '?blnk=' . $pathSelf;

// リフレッシュトークンを持っているか確認
$tokenRefresh = '';

// Google認証のインスタンス化：「client_id.json」を配列で渡す
$json_client = array(
  'web' => array(
     'client_id'                   => '〇〇〇',
     'project_id'                  => '〇〇〇',
     'auth_uri'                    => 'https://accounts.google.com/o/oauth2/auth',
     'token_uri'                   => 'https://accounts.google.com/o/oauth2/token',
     'auth_provider_x509_cert_url' => 'https://www.googleapis.com/oauth2/v1/certs',
     'client_secret'               => '〇〇〇',
     'redirect_uris'               => ['〇〇〇'],
     'javascript_origins'          => ['〇〇〇'],
  ),
);
$gapi = new ClassGAPI($json_client);

$tokenAccess = null;
if ( $tokenRefresh != '' ) {
	// リフレッシュトークンからアクセストークン作成
	$gapi->client->fetchAccessTokenWithRefreshToken($tokenRefresh);
	$tokenAccess = $gapi->client->getAccessToken();
}
else {
	if (isset($_SESSION['access_token']) && $_SESSION['access_token']) {
		$tokenAccess = $_SESSION['access_token'];
	}
}

// アクセストークンのチェック→認証
$gapi->chkGAuth($pathCallback, $tokenAccess);

// リフレッシュトークン：必要に応じてDB等に保存させる処理追加
$tokenRefresh = $gapi->client->getRefreshToken();


echo 'getRefreshToken: ' . $tokenRefresh;

// ===============================================
// ▼サーチコンソールの結果を取得・表示（※「newSearchConsole()」は「/lib/gapi.class.php」にいる）
$service = $gapi->newSearchConsole();

$listSites = $service->sites->listSites();
if ( count($listSites) === 0 ) {
	echo '<h2>結果なし</h2>';
}
else {
	foreach($listSites as $site) {
		echo '<h2>' . $site->siteUrl . '</h2>';
		echo '<p>' . $site->permissionLevel . '</p>';
		
		echo '<xmp style="padding:1em;background-color:#eee;">';
		print_r($site);
		echo "</xmp>";
	}
}
